Installation COMAP Basic VPI

Über den folgenden Link kann COMAP Basic der VPI auf Ihrem Rechner installiert werden:

 

Bitte beachten Sie, dass das Microsoft .NET Framework 4.03 auf Ihrem Rechner installiert sein muss. Bei älteren Versionen von Microsoft Windows muss dieses separat installiert werden, bevor Sie COMAP nutzen können.

Sollten Sie das Microsoft .NET Framework 4.03 noch nicht installiert haben, können Sie dieses hier herunterladen.

Ab Version 2.1.3 wird das .NET Framework 4.6.1 benötigt.

VPI 08 XSD

Die aktuell gültige Schemadatei für den digitalen Datenaustausch gemäß VPI 08 können Sie über den folgenden Link abrufen:

 

Zur Überprüfung, ob eine zu importierende Datei dem aktuellen XSD-Schema entspricht, können Sie diese durch nachfolgendes Tool überprüfen:

 

Für den Fall, dass ein neues Schema durch den VPI verabschiedet und veröffentlicht wurde, welches demnächst in Kraft tritt, finden Sie dies unter dem folgenden Link:

  • XSD-Schema VPI 08 

 

Die Veränderungen der technischen Daten von Version 2.01. zu Version 3.00 können Sie hier einsehen.

 

Historische und somit nicht mehr gültige Schemadateien finden Sie in der folgenden Liste:

Als Teil von VPI 08 werden Auswahllisten und Bauteilkataloge bereitgestellt, auf die innerhalb des Schemas verwiesen wird. Die VPI 08 Auswahllisten und Bauteilkataloge können hier abgerufen werden.

 

Der Webservicezugriff wird mit dem folgenden Codebeispiel exemplarisch dargestellt:

Codebeispiel für Webservicezugriff (Abfragen für Auswahllisten)